Page MenuHomePhabricator

copies-rust: encapsulate internal sets on `changes`
ClosedPublic

Authored by marmoute on Nov 12 2020, 10:16 AM.

Details

Summary

The goal is to eventually stop creating the underlying set. So we need to
encapsulate the call first.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Nov 12 2020, 10:16 AM
Alphare accepted this revision.Nov 13 2020, 7:58 AM
Alphare added a subscriber: Alphare.
Alphare added inline comments.
rust/hg-core/src/copy_tracing.rs
54

The variants themselves should be documented instead

marmoute updated this revision to Diff 23500.Nov 13 2020, 7:05 PM
Alphare accepted this revision.Nov 16 2020, 6:21 AM
Alphare added inline comments.
rust/hg-core/src/copy_tracing.rs
57

Repeating the variant's name is not useful, because it's right next to the comment even in rustdoc context. But this is not a big deal.

Alphare updated this revision to Diff 23729.Nov 27 2020, 11:11 AM
marmoute updated this revision to Diff 23811.Nov 29 2020, 6:12 AM
pulkit accepted this revision.Nov 29 2020, 2:09 PM
This revision is now accepted and ready to land.Nov 29 2020, 2:09 PM
This revision was automatically updated to reflect the committed changes.